> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new edge store

> Create a new key-value storage store for edge applications.
Stores support multiple data types: simple KV, sorted sets, and bloom filters.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml post /fastedge/v1/kv
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/kv:
    post:
      tags:
        - Edge Storage
      summary: Create a new edge store
      description: >-
        Create a new key-value storage store for edge applications.

        Stores support multiple data types: simple KV, sorted sets, and bloom
        filters.
      operationId: addStore
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/kv_store'
        description: Edge store details
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/kv_store'
                  - properties:
                      id:
                        description: The unique identifier of the store.
                        format: int64
                        type: integer
                        x-go-type-skip-optional-pointer: true
                    type: object
          description: >-
            Edge store created successfully, returns store metadata with unique
            ID
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service unavailable
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            kv_store = client.fastedge.kv_stores.create(
                name="name",
            )
            print(kv_store)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/fastedge\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tkvStore, err := client.Fastedge.KvStores.New(context.TODO(), fastedge.KvStoreNewParams{\n\t\tKvStore: fastedge.KvStoreParam{\n\t\t\tName: \"name\",\n\t\t},\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", kvStore)\n}\n"
components:
  schemas:
    kv_store:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: A name of the store
        comment:
          type: string
          description: A description of the store
        app_count:
          type: integer
          description: The number of applications that use this store
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-omitempty: false
        byod:
          $ref: '#/components/schemas/byod'
          type: object
        size:
          type: integer
          format: int64
          description: Total store size in bytes (zero for BYOD stores)
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-omitempty: false
        revision:
          type: integer
          format: int64
          description: Current store revision (only for non-BYOD stores)
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: Timestamp of last store revision (only for non-BYOD stores)
          readOnly: true
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    byod:
      type: object
      description: BYOD (Bring Your Own Data) settings
      required:
        - url
        - prefix
      properties:
        url:
          type: string
          description: >-
            Connection URL for external storage service (Redis, PostgreSQL,
            etc.)
          example: redis://redis.example.com:6379/0
        prefix:
          type: string
          description: Key prefix to namespace your data within the external store
          example: 'app:prod:'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````